# ResetInstancesPassword

## 1. API Description

This API (ResetInstancesPassword) is used to reset instance login password.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">For Windows operating system, call this API to reset Administrator password; for Linux operating system, call this API to reset root password.</mark>
* <mark style="color:blue;">Shut down the instance before resetting the password. After the password is reset, the instance will be automatically restarted.</mark>
* <mark style="color:blue;">Batch operations are supported. The maximum number of instances in each request is 100.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                                                                  |
| -------------- | -------- | --------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| instanceIds    | Yes      | Array of String | <p>Instance ID(s).</p><p>The maximum number of instances in each request is 100.</p>                                                                                                         |
| password       | Yes      | String          | <p>Instance login password.</p><p>The parameter must be 8-16 characters, including:lowercase letters: \[a-z]uppercase letters: \[A-Z]digits: 0-9special characters: ! @ # $ % ^ + \* ( )</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Reset login password of instances.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ResetInstancesPassword
<Common Request Params>

Request:
{
  "instanceIds": ["instanceId1", "instanceId2"],
  "password": "Example`123"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                | Description                                                     |
| ---------------- | ----------------------------------------- | --------------------------------------------------------------- |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND             | Instance does not exist.                                        |
| 403              | OPERATION\_DENIED\_INSTANCE\_NOT\_RUNNING | Only operations on instances in `RUNNING` status are supported. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/resetinstancespassword.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
